Summary: 	C++ wrappers for gconf, for use with gtkmm.
Name: 		gconfmm2
Version: 	2.0.1
Release: 	0.fdr.2.rh90
Epoch:		0
License: 	LGPL
Group: 		System Environment/Libraries
URL: 		http://www.gtkmm.org/
Source0: 	http://dl.sourceforge.net/gtkmm/gconfmm-2.0.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtkmm2-devel >= 0:2.0.1
BuildRequires:	GConf2-devel >= 0:1.1.8

%description
gconfmm provides C++ wrappers for gconf, for use with gtkmm.  

%package devel
Summary: 	Headers for developing programs that will use gconfmm
Group: 		Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:	GConf2-devel >= 0:1.1.8
Requires:	gtkmm2-devel >= 0:2.0.1

%description devel
This package contains the static libraries and header files needed for
developing applications using gconfmm.

%prep
%setup -n gconfmm-%{version}



%build
%configure --enable-static --enable-shared 
make %{?_smp_mflags}



%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf ${RPM_BUILD_ROOT}



%post -p /sbin/ldconfig



%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING NEWS
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/gconfmm-2.0/
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/gconfmm-2.0/
%{_libdir}/pkgconfig/*.pc


%changelog 
* Fri Oct 31 2003 Michael Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.2
- Fix BuildRequires
- Add specific version numbers to GConf dependency.

* Sat Oct 18 2003 Michael Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.1
- Initial RPM creation


